[script]
n0=;======== То что делает мирка при соединении с сервером (Автоматизация)
n1=on *:CONNECT: {
n2=  unset %tmp*
n3=  if (%auto.connect.list) { list }
n4=  if (%auto.connect.mode.x) { set %tmp x }
n5=  if (%auto.connect.mode.d) { set %tmp %tmp $+ d }
n6=  if (%auto.connect.mode.i) { set %tmp %tmp $+ i }
n7=  if (%auto.connect.mode.B) { set %tmp %tmp $+ B }
n8=  if (%auto.connect.mode.p) { set %tmp %tmp $+ p }
n9=  if (%auto.connect.mode.R) { set %tmp %tmp $+ R }
n10=  if (%auto.connect.mode.s) { set %tmp %tmp $+ s }
n11=  if (%auto.connect.mode.T) { set %tmp %tmp $+ T }
n12=  if (%auto.connect.mode.w) { set %tmp %tmp $+ w }
n13=  if (%auto.connect.mode.v) { set %tmp %tmp $+ v }
n14=  if (%auto.connect.mode.M) { set %tmp %tmp $+ M }
n15=  mode $me + $+ %tmp
n16=  if (%auto.connect.SILENCE) { raw SILENCE + }
n17=  if (%auto.connect.away) { away Автоотсутствие при запуске - www.intramail.ru/~t-tsylin/ }
n18=}
n19=menu menubar {
n20=  Автоматизация
n21=  .$iif(%auto.connect.list,$style(1)) list Открывать список каналов:if (%auto.connect.list) { unset %auto.connect.list } | else { set %auto.connect.list on }
n22=  .$iif(%auto.connect.SILENCE,$style(1)) SILENCE Игнор приватов:if (%auto.connect.SILENCE) { unset %auto.connect.SILENCE } | else { set %auto.connect.SILENCE on }
n23=  .$iif(%auto.connect.mode.x,$style(1)) x Скрывать ИП:if (%auto.connect.mode.x) { unset %auto.connect.mode.x } | else { set %auto.connect.mode.x on }
n24=  .$iif(%auto.connect.mode.d,$style(1)) d Невидеть сообщения в каналах:if (%auto.connect.mode.d) { unset %auto.connect.mode.d } | else { set %auto.connect.mode.d on }
n25=  .$iif(%auto.connect.mode.i,$style(1)) i Режим невидимки:if (%auto.connect.mode.i) { unset %auto.connect.mode.i } | else { set %auto.connect.mode.i on }
n26=  .$iif(%auto.connect.mode.B,$style(1)) B Стать ботом:if (%auto.connect.mode.B) { unset %auto.connect.mode.B } | else { set %auto.connect.mode.B on }
n27=  .$iif(%auto.connect.mode.p,$style(1)) p Скрывать каналы:if (%auto.connect.mode.p) { unset %auto.connect.mode.p } | else { set %auto.connect.mode.p on }
n28=  .$iif(%auto.connect.mode.R,$style(1)) R Авториз. приват:if (%auto.connect.mode.R) { unset %auto.connect.mode.R } | else { set %auto.connect.mode.R on }
n29=  .$iif(%auto.connect.mode.s,$style(1)) s SYS сообщения:if (%auto.connect.mode.s) { unset %auto.connect.mode.s } | else { set %auto.connect.mode.s on }
n30=  .$iif(%auto.connect.mode.T,$style(1)) T Неотвечать на CTCP:if (%auto.connect.mode.T) { unset %auto.connect.mode.T } | else { set %auto.connect.mode.T on }
n31=  .$iif(%auto.connect.mode.w,$style(1)) w Слышать сообщения оператора:if (%auto.connect.mode.w) { unset %auto.connect.mode.w } | else { set %auto.connect.mode.w on }
n32=  .$iif(%auto.connect.mode.v,$style(1)) v Блокировать DCC:if (%auto.connect.mode.v) { unset %auto.connect.mode.v } | else { set %auto.connect.mode.v on }
n33=  .$iif(%auto.connect.away,$style(1)) away Отсутствие при конекте:if (%auto.connect.away) { unset %auto.connect.mode.aaway } | else { set %auto.connect.away on }
n34=  .-
n35=  .$iif(%auto.connect.RealNameMode,$style(1)) Добавлять свои текущие моды в имя (инфо):if (%auto.connect.RealNameMode) { unset %auto.connect.RealNameMode } | else { set %auto.connect.RealNameMode on }
n36=}
n37=menu status {
n38=  $iif($server,Режимы)
n39=  .$iif($poscs($usermode,i),$style(1)) i Невидимка:if ($poscs($usermode,i)) mode $me -i | else mode $me +i
n40=  .$iif($poscs($usermode,x),$style(1)) x Маска:if ($poscs($usermode,x)) mode $me -x | else mode $me +x
n41=  .$iif($poscs($usermode,d),$style(1)) d Глухой:if ($poscs($usermode,d)) mode $me -d | else mode $me +d
n42=  .$iif($poscs($usermode,B),$style(1)) B Бот:if ($poscs($usermode,B)) mode $me -B | else mode $me +B
n43=  .$iif($poscs($usermode,p),$style(1)) p Скрыть каналы:if ($poscs($usermode,p)) mode $me -p | else mode $me +p
n44=  .$iif($poscs($usermode,R),$style(1)) R Приваты только от зарегистрированных:if ($poscs($usermode,R)) mode $me -R | else mode $me +R
n45=  .$iif($poscs($usermode,s),$style(1)) s Слышать системные сообщения:if ($poscs($usermode,s)) mode $me -s | else mode $me +s
n46=  .$iif($poscs($usermode,w),$style(1)) w Слышать сообщения оператора:if ($poscs($usermode,w)) mode $me -w | else mode $me +w
n47=  .$iif($poscs($usermode,T),$style(1)) T Не отвечать на CTCP:if ($poscs($usermode,T)) mode $me -T | else mode $me +T
n48=  .$iif($poscs($usermode,V),$style(1)) V У вас есть Web-камера:if ($poscs($usermode,V)) mode $me -V | else mode $me +V
n49=  .$iif($poscs($usermode,g),$style(1)) g Can read & send to GlobOps, and LocOps:if ($poscs($usermode,g)) mode $me -g | else mode $me +g
n50=  .$iif($poscs($usermode,v),$style(1)) v Блокировать DCC сообщения:if ($poscs($usermode,v)) mode $me -v | else mode $me +v
n51=  .$iif($poscs($usermode,M),$style(1)) M Блокировать DCC через сервер:if ($poscs($usermode,M)) mode $me -M | else mode $me +M
n52=  .$iif($poscs($usermode,m),$style(1)) m Блокировать действия (/me) в приватах:if ($poscs($usermode,m)) mode $me -m | else mode $me +m
n53=  ..-
n54=  .Администратор
n55=  ..$iif($poscs($usermode,o),$style(1)) o Глобальный:if ($poscs($usermode,o)) mode $me -o | else mode $me +o
n56=  ..$iif($poscs($usermode,O),$style(1)) O Локальный:if ($poscs($usermode,O)) mode $me -O | else mode $me +O
n57=  ..$iif($poscs($usermode,a),$style(1)) a Сервисов:if ($poscs($usermode,a)) mode $me -a | else mode $me +a
n58=  ..$iif($poscs($usermode,A),$style(1)) A Сервера:if ($poscs($usermode,A)) mode $me -A | else mode $me +A
n59=  ..$iif($poscs($usermode,h),$style(1)) h Оператор помощи:if ($poscs($usermode,h)) mode $me -h | else mode $me +h
n60=  ..$iif($poscs($usermode,W),$style(1)) W Видеть кто смотрит мою инфу:if ($poscs($usermode,W)) mode $me -W | else mode $me +W
n61=  ..$iif($poscs($usermode,H),$style(1)) H Скрыть из инфы статус оператора:if ($poscs($usermode,H)) mode $me -H | else mode $me +H
n62=}
n63=menu status {
n64=  $iif($server,NickServ@*.RusNet)
n65=  .REGISTER Регистрация ника...:editbox -a /msg NickServ@*.RusNet register $iif(%NickServ.IDENTIFY. [ $+ [ $me ] ],%NickServ.IDENTIFY. [ $+ [ $me ] ],Мой_пароль) Моя_почта
n66=  .DROP Разрегистрация:editbox -a /msg NickServ@*.RusNet DROP
n67=  .LINK Привязка ника
n68=  ..MAINNICK Задать $me как основной ник:editbox -a /msg NickServ@*.RusNet set mainnick $me
n69=  ..LINK Привязать к себе новый ник:editbox -a /msg NickServ@*.RusNet link <NewNick_-Например: $me $+ _away $+ >
n70=  ..UNLINK Отвязать ник:editbox -a /msg NickServ@*.RusNet unlink <OldNick>
n71=  ..LISTLINKS Список привязанных ников:editbox -a /msg NickServ@*.RusNet listlinks
n72=  .Настройка регистрации
n73=  ..LISTCHANS Список обладаемых каналов:editbox -a /msg NickServ@*.RusNet LISTCHANS
n74=  ..PASSWORD Поменять пароль на $me:editbox -a /msg NickServ@*.RusNet set password $$?="Новый пароль..."
n75=  ..HIDE Скрыть/Открыть
n76=  ...EMAIL Скрыть EMail:editbox -a /msg NickServ@*.RusNet set hide EMAIL on
n77=  ...EMAIL Открыть EMail:editbox -a /msg NickServ@*.RusNet set hide EMAIL off
n78=  ...-
n79=  ...USERMASK Скрыть маску:editbox -a /msg NickServ@*.RusNet set hide USERMASK on
n80=  ...USERMASK Открыть маску:editbox -a /msg NickServ@*.RusNet set hide USERMASK off
n81=  ...-
n82=  ...QUIT Скрыть посл.сообщ:editbox -a /msg NickServ@*.RusNet set hide QUIT on
n83=  ...QUIT Открыть посл.сообщ:editbox -a /msg NickServ@*.RusNet set hide QUIT off
n84=  ...-
n85=  ...PRIVATE Приватный ник:editbox -a /msg NickServ@*.RusNet set PRIVATE on
n86=  ...PRIVATE НеПриватный ник:editbox -a /msg NickServ@*.RusNet set PRIVATE off
n87=  ..-
n88=  ..KILL Защита ника
n89=  ...QUICK Агрессивная защита 20с:editbox -a /msg NickServ@*.RusNet set KILL QUICK
n90=  ...ON Агрессивная защита 60с:editbox -a /msg NickServ@*.RusNet set KILL ON
n91=  ...OFF Без защиты:editbox -a /msg NickServ@*.RusNet set KILL OFF
n92=  ..-
n93=  .RECOVER/RELEASE/nick Забрать ник...:set %tmp $$?="Введите ник:" | raw nickserv RECOVER %tmp %NickServ.IDENTIFY. [ $+ [ %tmp ] ] | raw NickServ RELEASE %tmp %NickServ.IDENTIFY. [ $+ [ %tmp ] ] | nick %tmp
n94=}
n95=menu status {
n96=  $iif($server,ChanServ@*.RusNet)
n97=  .Мои каналы:.msg NickServ@*.RusNet listchans
n98=  .UNBAN Снять бан с себя...:editbox -a /msg chanserv@*.RusNet UNBAN Канал
n99=}
n100=menu status {
n101=  $iif($server,MemoServ)
n102=  .LIST Просмотреть сообщения:raw memoserv list
n103=  .LIST NEW Только новые:raw memoserv list new
n104=  .DEL ALL Удалить все сообщения:raw MemoServ del all
n105=}
n106=;======== 
n107=on *:USERMODE: {
n108=  if (%auto.connect.RealNameMode) {
n109=    set %Oper.tmp.realname.set true
n110=    who $me
n111=  }
n112=}
n113=;========
n114=raw 352:*: {
n115=  if (!%Oper.tmp.realname.set && $3 != $me) { return }
n116=  haltdef
n117=  unset %Oper.tmp.realname.set
n118=  setname $9 - Мои моды: $usermode
n119=}
